### File

`packages/base/src/lib/eui-models/log/console.appender.ts`

### Description

Console Appender

### Extends

`LogAppender`

### Index

###### Properties

- Public config

###### Methods

- append
- getConfig

### Constructor

`constructor(config: ConsoleAppenderConfig)`

Parameters :

Name | Type | Optional
config | `ConsoleAppenderConfig` | No

### Properties

Public config
Type : `ConsoleAppenderConfig`

### Methods

append
`append(event: LogEvent)`

Logs an event in the console

Parameters :

Name | Type | Optional
event | `LogEvent` | No

Returns : `void`

getConfig
`getConfig()`
Gets the config Returns : `CFG` the config

# results matching ""

# No results matching ""